package com.steering.pss.plnsaleord.jggxpln.model;

/**
 * 数据库表MAT_ZC_M所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2016-06-23
 */
@SuppressWarnings("serial")
public class MatZcMEntity implements java.io.Serializable {
    /**
     * 材料号（管号）规则---(15)----母料号000
     */
    private String matNo = "";
    /**
     * 材料类别（8014在制品、成品、商品）
     */
    private String productFlag = "";
    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo = "";
    /**
     * 材料顺序号(生产队列号)
     */
    private String matSqeNo = "";
    /**
     * 样管标志
     */
    private String sampleFlag = "";
    /**
     * 分切标志
     */
    private String cuttingFlag = "";
    /**
     * 外购材料号
     */
    private String originMatNo = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 投料物料描叙
     */
    private String inputMaterialName = "";
    /**
     * 投料物料码
     */
    private String inputMaterialNo = "";
    /**
     * 投料物料来源（供应方代码）产出
     */
    private String inputOriginCode = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 生产合同号（1）
     */
    private String proOrderNo = "";
    /**
     * 生产合同号（2）
     */
    private String proOrderNo1 = "";
    /**
     * 生产订单号（1）
     */
    private String proOrderId = "";
    /**
     * 生产订单号（2）
     */
    private String proOrderId1 = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String orderSeqNo = "";
    /**
     * 执行工艺号
     */
    private String crafNo = "";
    /**
     * 工序代码
     */
    private String processCdoe = "";
    /**
     * 工序名称
     */
    private String processDesc = "";
    /**
     * 下工序代码
     */
    private String nextProcessCdoe = "";
    /**
     * 下工序名称
     */
    private String nextProcessDesc = "";
    /**
     * 生产产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 材料来源代码（1外购、2机组产出等）
     */
    private String matOriginCode = "";
    /**
     * 材料来源（1外购、2机组产出等）
     */
    private String matOriginName = "";
    /**
     * 外径(订货)
     */
    private String dimater = "";
    /**
     * 壁厚(订货)
     */
    private String height = "";
    /**
     * 长度编码(订货)
     */
    private String lenNo = "";
    /**
     * 长度描述(订货)
     */
    private String lenDesc = "";
    /**
     * 长度单位
     */
    private String lenUnit = "";
    /**
     * 下限(订货)
     */
    private String lenMin = "";
    /**
     * 上限(订货)
     */
    private String lenMax = "";
    /**
     * 外径(目标)
     */
    private String targDimater = "";
    /**
     * 壁厚(目标)
     */
    private String targHeight = "";
    /**
     * 下限(目标)
     */
    private String targLenMin = "";
    /**
     * 上限(目标)
     */
    private String targLenMax = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 称重标志（0未委托、1委托)
     */
    private String measureFlag = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 包装标志(1包装、0未打包)
     */
    private String packFlag = "";
    /**
     * 包装类型代码
     */
    private String packTypeCode = "";
    /**
     * 包装类型
     */
    private String packTypeName = "";
    /**
     * 捆包编号(若打捆)
     */
    private String packNo = "";
    /**
     * 包装时间
     */
    private String packTime = "";
    /**
     * 包装材料重量
     */
    private String packMatWt = "";
    /**
     * 材料毛重
     */
    private String matGrossWt = "";
    /**
     * 材料去向代码
     */
    private String matGowhereCode = "";
    /**
     * 材料去向
     */
    private String matGowhereName = "";
    /**
     * 冷热标志
     */
    private String coolHotFlag = "";
    /**
     * 材料退回标志
     */
    private String matReturnFlag = "";
    /**
     * 热处理号
     */
    private String heatTreatNo = "";
    /**
     * 现货标志
     */
    private String postFlag = "";
    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     */
    private String lockFlag = "";
    /**
     * 管理封锁原因代码
     */
    private String mngLockRsnCode = "";
    /**
     * 管理封锁时间
     */
    private String mngLockTime = "";
    /**
     * 管理封锁责任者
     */
    private String mngLockMaker = "";
    /**
     * 管理封锁备注
     */
    private String mngLockRemark = "";
    /**
     * 质量封锁原因代码
     */
    private String lockRsnCode = "";
    /**
     * 质量封锁时间
     */
    private String lockTime = "";
    /**
     * 质量封锁责任者
     */
    private String lockMaker = "";
    /**
     * 质量封锁备注
     */
    private String lockRemark = "";
    /**
     * 释放时间
     */
    private String unlockTime = "";
    /**
     * 释放责任者
     */
    private String unlockMaker = "";
    /**
     * 释放备注
     */
    private String unlockRemark = "";
    /**
     * 原合同号
     */
    private String oldOrderNo = "";
    /**
     * 原合同行号
     */
    private String oldOrderSeq = "";
    /**
     * 原合同子行号
     */
    private String oldOrderSeqNo = "";
    /**
     * 原物料码
     */
    private String oldMaterialNo = "";
    /**
     * 原物料描叙
     */
    private String oldMaterialName = "";
    /**
     * 余材原因代码
     */
    private String remainRsnCode = "";
    /**
     * 余材判定时间
     */
    private String remainJugdeTime = "";
    /**
     * 余材判定责任者
     */
    private String remainJugdeMaker = "";
    /**
     * 余材判定代码
     */
    private String remainJugdeCode = "";
    /**
     * 余材备注
     */
    private String remainRemark = "";
    /**
     * 判定申请标记(1、确认缴库；0等待)
     */
    private String jugdeApplyFlag = "";
    /**
     * 判定申请单号
     */
    private String jugdeApplyCode = "";
    /**
     * 判定申请时间
     */
    private String jugdeApplyTime = "";
    /**
     * 判定扫描时间
     */
    private String jugdeScanTime = "";
    /**
     * 表面判定结果代码
     */
    private String faceResultCode = "";
    /**
     * 表面判定时间
     */
    private String faceResultTime = "";
    /**
     * 表判责任人
     */
    private String faceMaker = "";
    /**
     * 公差判定结果代码
     */
    private String specResultCode = "";
    /**
     * 公差判定时间
     */
    private String specResultTime = "";
    /**
     * 公差判定责任人
     */
    private String specMaker = "";
    /**
     * 成分判定结果代码
     */
    private String chemResultCode = "";
    /**
     * 成分判定时间
     */
    private String chemResultTime = "";
    /**
     * 成分判定责任人
     */
    private String chemMaker = "";
    /**
     * 性能判定结果代码
     */
    private String phyResultCode = "";
    /**
     * 性能判定时间
     */
    private String phyResultTime = "";
    /**
     * 性能判定责任人
     */
    private String phyMaker = "";
    /**
     * 探伤编号
     */
    private String detectReportNo = "";
    /**
     * 探伤结果代码
     */
    private String detectResultCode = "";
    /**
     * 水压编号
     */
    private String wpressureReportNo = "";
    /**
     * 水压结果代码
     */
    private String wpressureResultCode = "";
    /**
     * 综合判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 综合判定结果
     */
    private String judgeResult = "";
    /**
     * 综合判定时间
     */
    private String judgeResultTime = "";
    /**
     * 综合判定人
     */
    private String judgeMaker = "";
    /**
     * 缺陷记录编号
     */
    private String bugNo = "";
    /**
     * 缺陷处置方式
     */
    private String bugDeal = "";
    /**
     * 返线标志
     */
    private String repairFlag = "";
    /**
     * 返线备注
     */
    private String repairRemark = "";
    /**
     * 取样标志
     */
    private String samplingFlag = "";
    /**
     * 取样类型
     */
    private String samplingType = "";
    /**
     * 取样批号
     */
    private String samplingNo = "";
    /**
     * 检验批号
     */
    private String checkoutNo = "";
    /**
     * 熔炼成分编号
     */
    private String chemStcheckNo = "";
    /**
     * 成品成分编号
     */
    private String chemProcheckNo = "";
    /**
     * 硫化氢编号
     */
    private String shCheckNo = "";
    /**
     * 来料加工标记
     */
    private String comeProcFlag = "";
    /**
     * 允发标志(1是、0否)
     */
    private String confmFlag = "";
    /**
     * 入库标志(1是、0否)
     */
    private String instockFlag = "";
    /**
     * 入库时间
     */
    private String instockTime = "";
    /**
     * 出库时间
     */
    private String outstockTime = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 生产下线时间
     */
    private String rpoTime = "";
    /**
     * 条码号
     */
    private String barCode = "";
    /**
     * 期初标志
     */
    private String beginningFlag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 备料需求号
     */
    private String reqBlId = "";
    /**
     * 是否已接箍组批
     */
    private String ifBatchedJg = "";
    /**
     * 接箍作业批次号
     */
    private String coupcutBatchId = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 原合同主键
     */
    private String oldOrdPk = "";
    /**
     * 原合同行主键
     */
    private String oldOrdLnPk = "";
    /**
     * 原交货行主键
     */
    private String oldOrdLnDlyPk = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 判定标准
     */
    private String judgeStdName = "";
    /**
     * 判定标准代码
     */
    private String judgeStdCode = "";
    /**
     * 产品等级
     */
    private String judgeGrade = "";
    /**
     * 备注(入库)
     */
    private String pipmemo = "";
    /**
     * 无注释
     */
    private String test = "";
    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     */
    private String soureCode = "";
    /**
     * 材料来源地名称
     */
    private String soureName = "";
    /**
     * 过磅单号
     */
    private String ponderNo = "";
    /**
     * 过磅重量
     */
    private String ponderGrossWt = "";
    /**
     * 备注1
     */
    private String memo1 = "";
    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     */
    private String judgeId = "";
    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     */
    private String mngLockFlag = "";
    /**
     * 封锁记录ID(来源QCM_ZG_LOCK_LOG，成品锁定专用)
     */
    private String lockId = "";
    /**
     * 作业单号（操作类型编码{如：脱单、利库}+销售组织编码+年月日+5位流水号
     */
    private String proNo = "";
    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     */
    private String lockLiku = "";
    /**
     * 计划钢种代码
     */
    private String plnGradecode = "";
    /**
     * 计划钢种名称
     */
    private String plnGradename = "";
    /**
     * 计划钢级代码
     */
    private String plnSteelcode = "";
    /**
     * 计划钢级名称
     */
    private String plnSteelname = "";
    /**
     * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     */
    private String qcmStaus = "";
    /**
     * 出库单编号
     */
    private String outstockDoc = "";
    /**
     * 轧管炉次计划号
     */
    private String heatPlanNo = "";
    /**
     * 轧管炉号（带序号）
     */
    private String zgStoveSqe = "";
    /**
     * 工序订单1排产序号
     */
    private String gxPlanNo = "";

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 材料顺序号(生产队列号)
     * @return value
     */
    public String getMatSqeNo() {
        return matSqeNo;
    }

    /**
     * 材料顺序号(生产队列号)
     * @param matSqeNo value
     */
    public void setMatSqeNo(String matSqeNo) {
        this.matSqeNo = matSqeNo;
    }

    /**
     * 样管标志
     * @return value
     */
    public String getSampleFlag() {
        return sampleFlag;
    }

    /**
     * 样管标志
     * @param sampleFlag value
     */
    public void setSampleFlag(String sampleFlag) {
        this.sampleFlag = sampleFlag;
    }

    /**
     * 分切标志
     * @return value
     */
    public String getCuttingFlag() {
        return cuttingFlag;
    }

    /**
     * 分切标志
     * @param cuttingFlag value
     */
    public void setCuttingFlag(String cuttingFlag) {
        this.cuttingFlag = cuttingFlag;
    }

    /**
     * 外购材料号
     * @return value
     */
    public String getOriginMatNo() {
        return originMatNo;
    }

    /**
     * 外购材料号
     * @param originMatNo value
     */
    public void setOriginMatNo(String originMatNo) {
        this.originMatNo = originMatNo;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 投料物料描叙
     * @return value
     */
    public String getInputMaterialName() {
        return inputMaterialName;
    }

    /**
     * 投料物料描叙
     * @param inputMaterialName value
     */
    public void setInputMaterialName(String inputMaterialName) {
        this.inputMaterialName = inputMaterialName;
    }

    /**
     * 投料物料码
     * @return value
     */
    public String getInputMaterialNo() {
        return inputMaterialNo;
    }

    /**
     * 投料物料码
     * @param inputMaterialNo value
     */
    public void setInputMaterialNo(String inputMaterialNo) {
        this.inputMaterialNo = inputMaterialNo;
    }

    /**
     * 投料物料来源（供应方代码）产出
     * @return value
     */
    public String getInputOriginCode() {
        return inputOriginCode;
    }

    /**
     * 投料物料来源（供应方代码）产出
     * @param inputOriginCode value
     */
    public void setInputOriginCode(String inputOriginCode) {
        this.inputOriginCode = inputOriginCode;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 生产合同号（1）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号（1）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 生产合同号（2）
     * @return value
     */
    public String getProOrderNo1() {
        return proOrderNo1;
    }

    /**
     * 生产合同号（2）
     * @param proOrderNo1 value
     */
    public void setProOrderNo1(String proOrderNo1) {
        this.proOrderNo1 = proOrderNo1;
    }

    /**
     * 生产订单号（1）
     * @return value
     */
    public String getProOrderId() {
        return proOrderId;
    }

    /**
     * 生产订单号（1）
     * @param proOrderId value
     */
    public void setProOrderId(String proOrderId) {
        this.proOrderId = proOrderId;
    }

    /**
     * 生产订单号（2）
     * @return value
     */
    public String getProOrderId1() {
        return proOrderId1;
    }

    /**
     * 生产订单号（2）
     * @param proOrderId1 value
     */
    public void setProOrderId1(String proOrderId1) {
        this.proOrderId1 = proOrderId1;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同子行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 执行工艺号
     * @return value
     */
    public String getCrafNo() {
        return crafNo;
    }

    /**
     * 执行工艺号
     * @param crafNo value
     */
    public void setCrafNo(String crafNo) {
        this.crafNo = crafNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 下工序代码
     * @return value
     */
    public String getNextProcessCdoe() {
        return nextProcessCdoe;
    }

    /**
     * 下工序代码
     * @param nextProcessCdoe value
     */
    public void setNextProcessCdoe(String nextProcessCdoe) {
        this.nextProcessCdoe = nextProcessCdoe;
    }

    /**
     * 下工序名称
     * @return value
     */
    public String getNextProcessDesc() {
        return nextProcessDesc;
    }

    /**
     * 下工序名称
     * @param nextProcessDesc value
     */
    public void setNextProcessDesc(String nextProcessDesc) {
        this.nextProcessDesc = nextProcessDesc;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginCode() {
        return matOriginCode;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @param matOriginCode value
     */
    public void setMatOriginCode(String matOriginCode) {
        this.matOriginCode = matOriginCode;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginName() {
        return matOriginName;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @param matOriginName value
     */
    public void setMatOriginName(String matOriginName) {
        this.matOriginName = matOriginName;
    }

    /**
     * 外径(订货)
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径(订货)
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚(订货)
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚(订货)
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 长度编码(订货)
     * @return value
     */
    public String getLenNo() {
        return lenNo;
    }

    /**
     * 长度编码(订货)
     * @param lenNo value
     */
    public void setLenNo(String lenNo) {
        this.lenNo = lenNo;
    }

    /**
     * 长度描述(订货)
     * @return value
     */
    public String getLenDesc() {
        return lenDesc;
    }

    /**
     * 长度描述(订货)
     * @param lenDesc value
     */
    public void setLenDesc(String lenDesc) {
        this.lenDesc = lenDesc;
    }

    /**
     * 长度单位
     * @return value
     */
    public String getLenUnit() {
        return lenUnit;
    }

    /**
     * 长度单位
     * @param lenUnit value
     */
    public void setLenUnit(String lenUnit) {
        this.lenUnit = lenUnit;
    }

    /**
     * 下限(订货)
     * @return value
     */
    public String getLenMin() {
        return lenMin;
    }

    /**
     * 下限(订货)
     * @param lenMin value
     */
    public void setLenMin(String lenMin) {
        this.lenMin = lenMin;
    }

    /**
     * 上限(订货)
     * @return value
     */
    public String getLenMax() {
        return lenMax;
    }

    /**
     * 上限(订货)
     * @param lenMax value
     */
    public void setLenMax(String lenMax) {
        this.lenMax = lenMax;
    }

    /**
     * 外径(目标)
     * @return value
     */
    public String getTargDimater() {
        return targDimater;
    }

    /**
     * 外径(目标)
     * @param targDimater value
     */
    public void setTargDimater(String targDimater) {
        this.targDimater = targDimater;
    }

    /**
     * 壁厚(目标)
     * @return value
     */
    public String getTargHeight() {
        return targHeight;
    }

    /**
     * 壁厚(目标)
     * @param targHeight value
     */
    public void setTargHeight(String targHeight) {
        this.targHeight = targHeight;
    }

    /**
     * 下限(目标)
     * @return value
     */
    public String getTargLenMin() {
        return targLenMin;
    }

    /**
     * 下限(目标)
     * @param targLenMin value
     */
    public void setTargLenMin(String targLenMin) {
        this.targLenMin = targLenMin;
    }

    /**
     * 上限(目标)
     * @return value
     */
    public String getTargLenMax() {
        return targLenMax;
    }

    /**
     * 上限(目标)
     * @param targLenMax value
     */
    public void setTargLenMax(String targLenMax) {
        this.targLenMax = targLenMax;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 称重标志（0未委托、1委托)
     * @return value
     */
    public String getMeasureFlag() {
        return measureFlag;
    }

    /**
     * 称重标志（0未委托、1委托)
     * @param measureFlag value
     */
    public void setMeasureFlag(String measureFlag) {
        this.measureFlag = measureFlag;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 包装标志(1包装、0未打包)
     * @return value
     */
    public String getPackFlag() {
        return packFlag;
    }

    /**
     * 包装标志(1包装、0未打包)
     * @param packFlag value
     */
    public void setPackFlag(String packFlag) {
        this.packFlag = packFlag;
    }

    /**
     * 包装类型代码
     * @return value
     */
    public String getPackTypeCode() {
        return packTypeCode;
    }

    /**
     * 包装类型代码
     * @param packTypeCode value
     */
    public void setPackTypeCode(String packTypeCode) {
        this.packTypeCode = packTypeCode;
    }

    /**
     * 包装类型
     * @return value
     */
    public String getPackTypeName() {
        return packTypeName;
    }

    /**
     * 包装类型
     * @param packTypeName value
     */
    public void setPackTypeName(String packTypeName) {
        this.packTypeName = packTypeName;
    }

    /**
     * 捆包编号(若打捆)
     * @return value
     */
    public String getPackNo() {
        return packNo;
    }

    /**
     * 捆包编号(若打捆)
     * @param packNo value
     */
    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    /**
     * 包装时间
     * @return value
     */
    public String getPackTime() {
        return packTime;
    }

    /**
     * 包装时间
     * @param packTime value
     */
    public void setPackTime(String packTime) {
        this.packTime = packTime;
    }

    /**
     * 包装材料重量
     * @return value
     */
    public String getPackMatWt() {
        return packMatWt;
    }

    /**
     * 包装材料重量
     * @param packMatWt value
     */
    public void setPackMatWt(String packMatWt) {
        this.packMatWt = packMatWt;
    }

    /**
     * 材料毛重
     * @return value
     */
    public String getMatGrossWt() {
        return matGrossWt;
    }

    /**
     * 材料毛重
     * @param matGrossWt value
     */
    public void setMatGrossWt(String matGrossWt) {
        this.matGrossWt = matGrossWt;
    }

    /**
     * 材料去向代码
     * @return value
     */
    public String getMatGowhereCode() {
        return matGowhereCode;
    }

    /**
     * 材料去向代码
     * @param matGowhereCode value
     */
    public void setMatGowhereCode(String matGowhereCode) {
        this.matGowhereCode = matGowhereCode;
    }

    /**
     * 材料去向
     * @return value
     */
    public String getMatGowhereName() {
        return matGowhereName;
    }

    /**
     * 材料去向
     * @param matGowhereName value
     */
    public void setMatGowhereName(String matGowhereName) {
        this.matGowhereName = matGowhereName;
    }

    /**
     * 冷热标志
     * @return value
     */
    public String getCoolHotFlag() {
        return coolHotFlag;
    }

    /**
     * 冷热标志
     * @param coolHotFlag value
     */
    public void setCoolHotFlag(String coolHotFlag) {
        this.coolHotFlag = coolHotFlag;
    }

    /**
     * 材料退回标志
     * @return value
     */
    public String getMatReturnFlag() {
        return matReturnFlag;
    }

    /**
     * 材料退回标志
     * @param matReturnFlag value
     */
    public void setMatReturnFlag(String matReturnFlag) {
        this.matReturnFlag = matReturnFlag;
    }

    /**
     * 热处理号
     * @return value
     */
    public String getHeatTreatNo() {
        return heatTreatNo;
    }

    /**
     * 热处理号
     * @param heatTreatNo value
     */
    public void setHeatTreatNo(String heatTreatNo) {
        this.heatTreatNo = heatTreatNo;
    }

    /**
     * 现货标志
     * @return value
     */
    public String getPostFlag() {
        return postFlag;
    }

    /**
     * 现货标志
     * @param postFlag value
     */
    public void setPostFlag(String postFlag) {
        this.postFlag = postFlag;
    }

    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 管理封锁原因代码
     * @return value
     */
    public String getMngLockRsnCode() {
        return mngLockRsnCode;
    }

    /**
     * 管理封锁原因代码
     * @param mngLockRsnCode value
     */
    public void setMngLockRsnCode(String mngLockRsnCode) {
        this.mngLockRsnCode = mngLockRsnCode;
    }

    /**
     * 管理封锁时间
     * @return value
     */
    public String getMngLockTime() {
        return mngLockTime;
    }

    /**
     * 管理封锁时间
     * @param mngLockTime value
     */
    public void setMngLockTime(String mngLockTime) {
        this.mngLockTime = mngLockTime;
    }

    /**
     * 管理封锁责任者
     * @return value
     */
    public String getMngLockMaker() {
        return mngLockMaker;
    }

    /**
     * 管理封锁责任者
     * @param mngLockMaker value
     */
    public void setMngLockMaker(String mngLockMaker) {
        this.mngLockMaker = mngLockMaker;
    }

    /**
     * 管理封锁备注
     * @return value
     */
    public String getMngLockRemark() {
        return mngLockRemark;
    }

    /**
     * 管理封锁备注
     * @param mngLockRemark value
     */
    public void setMngLockRemark(String mngLockRemark) {
        this.mngLockRemark = mngLockRemark;
    }

    /**
     * 质量封锁原因代码
     * @return value
     */
    public String getLockRsnCode() {
        return lockRsnCode;
    }

    /**
     * 质量封锁原因代码
     * @param lockRsnCode value
     */
    public void setLockRsnCode(String lockRsnCode) {
        this.lockRsnCode = lockRsnCode;
    }

    /**
     * 质量封锁时间
     * @return value
     */
    public String getLockTime() {
        return lockTime;
    }

    /**
     * 质量封锁时间
     * @param lockTime value
     */
    public void setLockTime(String lockTime) {
        this.lockTime = lockTime;
    }

    /**
     * 质量封锁责任者
     * @return value
     */
    public String getLockMaker() {
        return lockMaker;
    }

    /**
     * 质量封锁责任者
     * @param lockMaker value
     */
    public void setLockMaker(String lockMaker) {
        this.lockMaker = lockMaker;
    }

    /**
     * 质量封锁备注
     * @return value
     */
    public String getLockRemark() {
        return lockRemark;
    }

    /**
     * 质量封锁备注
     * @param lockRemark value
     */
    public void setLockRemark(String lockRemark) {
        this.lockRemark = lockRemark;
    }

    /**
     * 释放时间
     * @return value
     */
    public String getUnlockTime() {
        return unlockTime;
    }

    /**
     * 释放时间
     * @param unlockTime value
     */
    public void setUnlockTime(String unlockTime) {
        this.unlockTime = unlockTime;
    }

    /**
     * 释放责任者
     * @return value
     */
    public String getUnlockMaker() {
        return unlockMaker;
    }

    /**
     * 释放责任者
     * @param unlockMaker value
     */
    public void setUnlockMaker(String unlockMaker) {
        this.unlockMaker = unlockMaker;
    }

    /**
     * 释放备注
     * @return value
     */
    public String getUnlockRemark() {
        return unlockRemark;
    }

    /**
     * 释放备注
     * @param unlockRemark value
     */
    public void setUnlockRemark(String unlockRemark) {
        this.unlockRemark = unlockRemark;
    }

    /**
     * 原合同号
     * @return value
     */
    public String getOldOrderNo() {
        return oldOrderNo;
    }

    /**
     * 原合同号
     * @param oldOrderNo value
     */
    public void setOldOrderNo(String oldOrderNo) {
        this.oldOrderNo = oldOrderNo;
    }

    /**
     * 原合同行号
     * @return value
     */
    public String getOldOrderSeq() {
        return oldOrderSeq;
    }

    /**
     * 原合同行号
     * @param oldOrderSeq value
     */
    public void setOldOrderSeq(String oldOrderSeq) {
        this.oldOrderSeq = oldOrderSeq;
    }

    /**
     * 原合同子行号
     * @return value
     */
    public String getOldOrderSeqNo() {
        return oldOrderSeqNo;
    }

    /**
     * 原合同子行号
     * @param oldOrderSeqNo value
     */
    public void setOldOrderSeqNo(String oldOrderSeqNo) {
        this.oldOrderSeqNo = oldOrderSeqNo;
    }

    /**
     * 原物料码
     * @return value
     */
    public String getOldMaterialNo() {
        return oldMaterialNo;
    }

    /**
     * 原物料码
     * @param oldMaterialNo value
     */
    public void setOldMaterialNo(String oldMaterialNo) {
        this.oldMaterialNo = oldMaterialNo;
    }

    /**
     * 原物料描叙
     * @return value
     */
    public String getOldMaterialName() {
        return oldMaterialName;
    }

    /**
     * 原物料描叙
     * @param oldMaterialName value
     */
    public void setOldMaterialName(String oldMaterialName) {
        this.oldMaterialName = oldMaterialName;
    }

    /**
     * 余材原因代码
     * @return value
     */
    public String getRemainRsnCode() {
        return remainRsnCode;
    }

    /**
     * 余材原因代码
     * @param remainRsnCode value
     */
    public void setRemainRsnCode(String remainRsnCode) {
        this.remainRsnCode = remainRsnCode;
    }

    /**
     * 余材判定时间
     * @return value
     */
    public String getRemainJugdeTime() {
        return remainJugdeTime;
    }

    /**
     * 余材判定时间
     * @param remainJugdeTime value
     */
    public void setRemainJugdeTime(String remainJugdeTime) {
        this.remainJugdeTime = remainJugdeTime;
    }

    /**
     * 余材判定责任者
     * @return value
     */
    public String getRemainJugdeMaker() {
        return remainJugdeMaker;
    }

    /**
     * 余材判定责任者
     * @param remainJugdeMaker value
     */
    public void setRemainJugdeMaker(String remainJugdeMaker) {
        this.remainJugdeMaker = remainJugdeMaker;
    }

    /**
     * 余材判定代码
     * @return value
     */
    public String getRemainJugdeCode() {
        return remainJugdeCode;
    }

    /**
     * 余材判定代码
     * @param remainJugdeCode value
     */
    public void setRemainJugdeCode(String remainJugdeCode) {
        this.remainJugdeCode = remainJugdeCode;
    }

    /**
     * 余材备注
     * @return value
     */
    public String getRemainRemark() {
        return remainRemark;
    }

    /**
     * 余材备注
     * @param remainRemark value
     */
    public void setRemainRemark(String remainRemark) {
        this.remainRemark = remainRemark;
    }

    /**
     * 判定申请标记(1、确认缴库；0等待)
     * @return value
     */
    public String getJugdeApplyFlag() {
        return jugdeApplyFlag;
    }

    /**
     * 判定申请标记(1、确认缴库；0等待)
     * @param jugdeApplyFlag value
     */
    public void setJugdeApplyFlag(String jugdeApplyFlag) {
        this.jugdeApplyFlag = jugdeApplyFlag;
    }

    /**
     * 判定申请单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 判定申请单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 判定申请时间
     * @return value
     */
    public String getJugdeApplyTime() {
        return jugdeApplyTime;
    }

    /**
     * 判定申请时间
     * @param jugdeApplyTime value
     */
    public void setJugdeApplyTime(String jugdeApplyTime) {
        this.jugdeApplyTime = jugdeApplyTime;
    }

    /**
     * 判定扫描时间
     * @return value
     */
    public String getJugdeScanTime() {
        return jugdeScanTime;
    }

    /**
     * 判定扫描时间
     * @param jugdeScanTime value
     */
    public void setJugdeScanTime(String jugdeScanTime) {
        this.jugdeScanTime = jugdeScanTime;
    }

    /**
     * 表面判定结果代码
     * @return value
     */
    public String getFaceResultCode() {
        return faceResultCode;
    }

    /**
     * 表面判定结果代码
     * @param faceResultCode value
     */
    public void setFaceResultCode(String faceResultCode) {
        this.faceResultCode = faceResultCode;
    }

    /**
     * 表面判定时间
     * @return value
     */
    public String getFaceResultTime() {
        return faceResultTime;
    }

    /**
     * 表面判定时间
     * @param faceResultTime value
     */
    public void setFaceResultTime(String faceResultTime) {
        this.faceResultTime = faceResultTime;
    }

    /**
     * 表判责任人
     * @return value
     */
    public String getFaceMaker() {
        return faceMaker;
    }

    /**
     * 表判责任人
     * @param faceMaker value
     */
    public void setFaceMaker(String faceMaker) {
        this.faceMaker = faceMaker;
    }

    /**
     * 公差判定结果代码
     * @return value
     */
    public String getSpecResultCode() {
        return specResultCode;
    }

    /**
     * 公差判定结果代码
     * @param specResultCode value
     */
    public void setSpecResultCode(String specResultCode) {
        this.specResultCode = specResultCode;
    }

    /**
     * 公差判定时间
     * @return value
     */
    public String getSpecResultTime() {
        return specResultTime;
    }

    /**
     * 公差判定时间
     * @param specResultTime value
     */
    public void setSpecResultTime(String specResultTime) {
        this.specResultTime = specResultTime;
    }

    /**
     * 公差判定责任人
     * @return value
     */
    public String getSpecMaker() {
        return specMaker;
    }

    /**
     * 公差判定责任人
     * @param specMaker value
     */
    public void setSpecMaker(String specMaker) {
        this.specMaker = specMaker;
    }

    /**
     * 成分判定结果代码
     * @return value
     */
    public String getChemResultCode() {
        return chemResultCode;
    }

    /**
     * 成分判定结果代码
     * @param chemResultCode value
     */
    public void setChemResultCode(String chemResultCode) {
        this.chemResultCode = chemResultCode;
    }

    /**
     * 成分判定时间
     * @return value
     */
    public String getChemResultTime() {
        return chemResultTime;
    }

    /**
     * 成分判定时间
     * @param chemResultTime value
     */
    public void setChemResultTime(String chemResultTime) {
        this.chemResultTime = chemResultTime;
    }

    /**
     * 成分判定责任人
     * @return value
     */
    public String getChemMaker() {
        return chemMaker;
    }

    /**
     * 成分判定责任人
     * @param chemMaker value
     */
    public void setChemMaker(String chemMaker) {
        this.chemMaker = chemMaker;
    }

    /**
     * 性能判定结果代码
     * @return value
     */
    public String getPhyResultCode() {
        return phyResultCode;
    }

    /**
     * 性能判定结果代码
     * @param phyResultCode value
     */
    public void setPhyResultCode(String phyResultCode) {
        this.phyResultCode = phyResultCode;
    }

    /**
     * 性能判定时间
     * @return value
     */
    public String getPhyResultTime() {
        return phyResultTime;
    }

    /**
     * 性能判定时间
     * @param phyResultTime value
     */
    public void setPhyResultTime(String phyResultTime) {
        this.phyResultTime = phyResultTime;
    }

    /**
     * 性能判定责任人
     * @return value
     */
    public String getPhyMaker() {
        return phyMaker;
    }

    /**
     * 性能判定责任人
     * @param phyMaker value
     */
    public void setPhyMaker(String phyMaker) {
        this.phyMaker = phyMaker;
    }

    /**
     * 探伤编号
     * @return value
     */
    public String getDetectReportNo() {
        return detectReportNo;
    }

    /**
     * 探伤编号
     * @param detectReportNo value
     */
    public void setDetectReportNo(String detectReportNo) {
        this.detectReportNo = detectReportNo;
    }

    /**
     * 探伤结果代码
     * @return value
     */
    public String getDetectResultCode() {
        return detectResultCode;
    }

    /**
     * 探伤结果代码
     * @param detectResultCode value
     */
    public void setDetectResultCode(String detectResultCode) {
        this.detectResultCode = detectResultCode;
    }

    /**
     * 水压编号
     * @return value
     */
    public String getWpressureReportNo() {
        return wpressureReportNo;
    }

    /**
     * 水压编号
     * @param wpressureReportNo value
     */
    public void setWpressureReportNo(String wpressureReportNo) {
        this.wpressureReportNo = wpressureReportNo;
    }

    /**
     * 水压结果代码
     * @return value
     */
    public String getWpressureResultCode() {
        return wpressureResultCode;
    }

    /**
     * 水压结果代码
     * @param wpressureResultCode value
     */
    public void setWpressureResultCode(String wpressureResultCode) {
        this.wpressureResultCode = wpressureResultCode;
    }

    /**
     * 综合判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 综合判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 综合判定结果
     * @return value
     */
    public String getJudgeResult() {
        return judgeResult;
    }

    /**
     * 综合判定结果
     * @param judgeResult value
     */
    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    /**
     * 综合判定时间
     * @return value
     */
    public String getJudgeResultTime() {
        return judgeResultTime;
    }

    /**
     * 综合判定时间
     * @param judgeResultTime value
     */
    public void setJudgeResultTime(String judgeResultTime) {
        this.judgeResultTime = judgeResultTime;
    }

    /**
     * 综合判定人
     * @return value
     */
    public String getJudgeMaker() {
        return judgeMaker;
    }

    /**
     * 综合判定人
     * @param judgeMaker value
     */
    public void setJudgeMaker(String judgeMaker) {
        this.judgeMaker = judgeMaker;
    }

    /**
     * 缺陷记录编号
     * @return value
     */
    public String getBugNo() {
        return bugNo;
    }

    /**
     * 缺陷记录编号
     * @param bugNo value
     */
    public void setBugNo(String bugNo) {
        this.bugNo = bugNo;
    }

    /**
     * 缺陷处置方式
     * @return value
     */
    public String getBugDeal() {
        return bugDeal;
    }

    /**
     * 缺陷处置方式
     * @param bugDeal value
     */
    public void setBugDeal(String bugDeal) {
        this.bugDeal = bugDeal;
    }

    /**
     * 返线标志
     * @return value
     */
    public String getRepairFlag() {
        return repairFlag;
    }

    /**
     * 返线标志
     * @param repairFlag value
     */
    public void setRepairFlag(String repairFlag) {
        this.repairFlag = repairFlag;
    }

    /**
     * 返线备注
     * @return value
     */
    public String getRepairRemark() {
        return repairRemark;
    }

    /**
     * 返线备注
     * @param repairRemark value
     */
    public void setRepairRemark(String repairRemark) {
        this.repairRemark = repairRemark;
    }

    /**
     * 取样标志
     * @return value
     */
    public String getSamplingFlag() {
        return samplingFlag;
    }

    /**
     * 取样标志
     * @param samplingFlag value
     */
    public void setSamplingFlag(String samplingFlag) {
        this.samplingFlag = samplingFlag;
    }

    /**
     * 取样类型
     * @return value
     */
    public String getSamplingType() {
        return samplingType;
    }

    /**
     * 取样类型
     * @param samplingType value
     */
    public void setSamplingType(String samplingType) {
        this.samplingType = samplingType;
    }

    /**
     * 取样批号
     * @return value
     */
    public String getSamplingNo() {
        return samplingNo;
    }

    /**
     * 取样批号
     * @param samplingNo value
     */
    public void setSamplingNo(String samplingNo) {
        this.samplingNo = samplingNo;
    }

    /**
     * 检验批号
     * @return value
     */
    public String getCheckoutNo() {
        return checkoutNo;
    }

    /**
     * 检验批号
     * @param checkoutNo value
     */
    public void setCheckoutNo(String checkoutNo) {
        this.checkoutNo = checkoutNo;
    }

    /**
     * 熔炼成分编号
     * @return value
     */
    public String getChemStcheckNo() {
        return chemStcheckNo;
    }

    /**
     * 熔炼成分编号
     * @param chemStcheckNo value
     */
    public void setChemStcheckNo(String chemStcheckNo) {
        this.chemStcheckNo = chemStcheckNo;
    }

    /**
     * 成品成分编号
     * @return value
     */
    public String getChemProcheckNo() {
        return chemProcheckNo;
    }

    /**
     * 成品成分编号
     * @param chemProcheckNo value
     */
    public void setChemProcheckNo(String chemProcheckNo) {
        this.chemProcheckNo = chemProcheckNo;
    }

    /**
     * 硫化氢编号
     * @return value
     */
    public String getShCheckNo() {
        return shCheckNo;
    }

    /**
     * 硫化氢编号
     * @param shCheckNo value
     */
    public void setShCheckNo(String shCheckNo) {
        this.shCheckNo = shCheckNo;
    }

    /**
     * 来料加工标记
     * @return value
     */
    public String getComeProcFlag() {
        return comeProcFlag;
    }

    /**
     * 来料加工标记
     * @param comeProcFlag value
     */
    public void setComeProcFlag(String comeProcFlag) {
        this.comeProcFlag = comeProcFlag;
    }

    /**
     * 允发标志(1是、0否)
     * @return value
     */
    public String getConfmFlag() {
        return confmFlag;
    }

    /**
     * 允发标志(1是、0否)
     * @param confmFlag value
     */
    public void setConfmFlag(String confmFlag) {
        this.confmFlag = confmFlag;
    }

    /**
     * 入库标志(1是、0否)
     * @return value
     */
    public String getInstockFlag() {
        return instockFlag;
    }

    /**
     * 入库标志(1是、0否)
     * @param instockFlag value
     */
    public void setInstockFlag(String instockFlag) {
        this.instockFlag = instockFlag;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }

    /**
     * 出库时间
     * @return value
     */
    public String getOutstockTime() {
        return outstockTime;
    }

    /**
     * 出库时间
     * @param outstockTime value
     */
    public void setOutstockTime(String outstockTime) {
        this.outstockTime = outstockTime;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 生产下线时间
     * @return value
     */
    public String getRpoTime() {
        return rpoTime;
    }

    /**
     * 生产下线时间
     * @param rpoTime value
     */
    public void setRpoTime(String rpoTime) {
        this.rpoTime = rpoTime;
    }

    /**
     * 条码号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 条码号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * 期初标志
     * @return value
     */
    public String getBeginningFlag() {
        return beginningFlag;
    }

    /**
     * 期初标志
     * @param beginningFlag value
     */
    public void setBeginningFlag(String beginningFlag) {
        this.beginningFlag = beginningFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备料需求号
     * @return value
     */
    public String getReqBlId() {
        return reqBlId;
    }

    /**
     * 备料需求号
     * @param reqBlId value
     */
    public void setReqBlId(String reqBlId) {
        this.reqBlId = reqBlId;
    }

    /**
     * 是否已接箍组批
     * @return value
     */
    public String getIfBatchedJg() {
        return ifBatchedJg;
    }

    /**
     * 是否已接箍组批
     * @param ifBatchedJg value
     */
    public void setIfBatchedJg(String ifBatchedJg) {
        this.ifBatchedJg = ifBatchedJg;
    }

    /**
     * 接箍作业批次号
     * @return value
     */
    public String getCoupcutBatchId() {
        return coupcutBatchId;
    }

    /**
     * 接箍作业批次号
     * @param coupcutBatchId value
     */
    public void setCoupcutBatchId(String coupcutBatchId) {
        this.coupcutBatchId = coupcutBatchId;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 原合同主键
     * @return value
     */
    public String getOldOrdPk() {
        return oldOrdPk;
    }

    /**
     * 原合同主键
     * @param oldOrdPk value
     */
    public void setOldOrdPk(String oldOrdPk) {
        this.oldOrdPk = oldOrdPk;
    }

    /**
     * 原合同行主键
     * @return value
     */
    public String getOldOrdLnPk() {
        return oldOrdLnPk;
    }

    /**
     * 原合同行主键
     * @param oldOrdLnPk value
     */
    public void setOldOrdLnPk(String oldOrdLnPk) {
        this.oldOrdLnPk = oldOrdLnPk;
    }

    /**
     * 原交货行主键
     * @return value
     */
    public String getOldOrdLnDlyPk() {
        return oldOrdLnDlyPk;
    }

    /**
     * 原交货行主键
     * @param oldOrdLnDlyPk value
     */
    public void setOldOrdLnDlyPk(String oldOrdLnDlyPk) {
        this.oldOrdLnDlyPk = oldOrdLnDlyPk;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 判定标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 判定标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 判定标准代码
     * @return value
     */
    public String getJudgeStdCode() {
        return judgeStdCode;
    }

    /**
     * 判定标准代码
     * @param judgeStdCode value
     */
    public void setJudgeStdCode(String judgeStdCode) {
        this.judgeStdCode = judgeStdCode;
    }

    /**
     * 产品等级
     * @return value
     */
    public String getJudgeGrade() {
        return judgeGrade;
    }

    /**
     * 产品等级
     * @param judgeGrade value
     */
    public void setJudgeGrade(String judgeGrade) {
        this.judgeGrade = judgeGrade;
    }

    /**
     * 备注(入库)
     * @return value
     */
    public String getPipmemo() {
        return pipmemo;
    }

    /**
     * 备注(入库)
     * @param pipmemo value
     */
    public void setPipmemo(String pipmemo) {
        this.pipmemo = pipmemo;
    }

    /**
     * 无注释
     * @return value
     */
    public String getTest() {
        return test;
    }

    /**
     * 无注释
     * @param test value
     */
    public void setTest(String test) {
        this.test = test;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @return value
     */
    public String getSoureCode() {
        return soureCode;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @param soureCode value
     */
    public void setSoureCode(String soureCode) {
        this.soureCode = soureCode;
    }

    /**
     * 材料来源地名称
     * @return value
     */
    public String getSoureName() {
        return soureName;
    }

    /**
     * 材料来源地名称
     * @param soureName value
     */
    public void setSoureName(String soureName) {
        this.soureName = soureName;
    }

    /**
     * 过磅单号
     * @return value
     */
    public String getPonderNo() {
        return ponderNo;
    }

    /**
     * 过磅单号
     * @param ponderNo value
     */
    public void setPonderNo(String ponderNo) {
        this.ponderNo = ponderNo;
    }

    /**
     * 过磅重量
     * @return value
     */
    public String getPonderGrossWt() {
        return ponderGrossWt;
    }

    /**
     * 过磅重量
     * @param ponderGrossWt value
     */
    public void setPonderGrossWt(String ponderGrossWt) {
        this.ponderGrossWt = ponderGrossWt;
    }

    /**
     * 备注1
     * @return value
     */
    public String getMemo1() {
        return memo1;
    }

    /**
     * 备注1
     * @param memo1 value
     */
    public void setMemo1(String memo1) {
        this.memo1 = memo1;
    }

    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     * @return value
     */
    public String getJudgeId() {
        return judgeId;
    }

    /**
     * 改判记录ID(来源QCM_ZG_JUDGE_CHANGE，物料改判专用)
     * @param judgeId value
     */
    public void setJudgeId(String judgeId) {
        this.judgeId = judgeId;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @return value
     */
    public String getMngLockFlag() {
        return mngLockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @param mngLockFlag value
     */
    public void setMngLockFlag(String mngLockFlag) {
        this.mngLockFlag = mngLockFlag;
    }

    /**
     * 封锁记录ID(来源QCM_ZG_LOCK_LOG，成品锁定专用)
     * @return value
     */
    public String getLockId() {
        return lockId;
    }

    /**
     * 封锁记录ID(来源QCM_ZG_LOCK_LOG，成品锁定专用)
     * @param lockId value
     */
    public void setLockId(String lockId) {
        this.lockId = lockId;
    }

    /**
     * 作业单号（操作类型编码{如：脱单、利库}+销售组织编码+年月日+5位流水号
     * @return value
     */
    public String getProNo() {
        return proNo;
    }

    /**
     * 作业单号（操作类型编码{如：脱单、利库}+销售组织编码+年月日+5位流水号
     * @param proNo value
     */
    public void setProNo(String proNo) {
        this.proNo = proNo;
    }

    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     * @return value
     */
    public String getLockLiku() {
        return lockLiku;
    }

    /**
     * 状态('0'，未封锁   '1'，封锁)利库专用
     * @param lockLiku value
     */
    public void setLockLiku(String lockLiku) {
        this.lockLiku = lockLiku;
    }

    /**
     * 计划钢种代码
     * @return value
     */
    public String getPlnGradecode() {
        return plnGradecode;
    }

    /**
     * 计划钢种代码
     * @param plnGradecode value
     */
    public void setPlnGradecode(String plnGradecode) {
        this.plnGradecode = plnGradecode;
    }

    /**
     * 计划钢种名称
     * @return value
     */
    public String getPlnGradename() {
        return plnGradename;
    }

    /**
     * 计划钢种名称
     * @param plnGradename value
     */
    public void setPlnGradename(String plnGradename) {
        this.plnGradename = plnGradename;
    }

    /**
     * 计划钢级代码
     * @return value
     */
    public String getPlnSteelcode() {
        return plnSteelcode;
    }

    /**
     * 计划钢级代码
     * @param plnSteelcode value
     */
    public void setPlnSteelcode(String plnSteelcode) {
        this.plnSteelcode = plnSteelcode;
    }

    /**
     * 计划钢级名称
     * @return value
     */
    public String getPlnSteelname() {
        return plnSteelname;
    }

    /**
     * 计划钢级名称
     * @param plnSteelname value
     */
    public void setPlnSteelname(String plnSteelname) {
        this.plnSteelname = plnSteelname;
    }

    /**
     * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @return value
     */
    public String getQcmStaus() {
        return qcmStaus;
    }

    /**
     * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @param qcmStaus value
     */
    public void setQcmStaus(String qcmStaus) {
        this.qcmStaus = qcmStaus;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 轧管炉次计划号
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 轧管炉次计划号
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 轧管炉号（带序号）
     * @return value
     */
    public String getZgStoveSqe() {
        return zgStoveSqe;
    }

    /**
     * 轧管炉号（带序号）
     * @param zgStoveSqe value
     */
    public void setZgStoveSqe(String zgStoveSqe) {
        this.zgStoveSqe = zgStoveSqe;
    }
    
    /**
     * 工序订单1排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序订单1排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }
}